XnModuleFrameSyncInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnBool(* | CanFrameSyncWith )(XnModuleNodeHandle hGenerator, XnNodeHandle hOther)
XnStatus(* | FrameSyncWith )(XnModuleNodeHandle hGenerator, XnNodeHandle hOther)
XnStatus(* | StopFrameSyncWith )(XnModuleNodeHandle hGenerator, XnNodeHandle hOther)
XnBool(* | IsFrameSyncedWith )(XnModuleNodeHandle hGenerator, XnNodeHandle hOther)
XnStatus(* | RegisterToFrameSyncChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromFrameSyncChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Member Data Documentation

## CanFrameSyncWith

XnBool(* XnModuleFrameSyncInterface::CanFrameSyncWith) (XnModuleNodeHandle hGenerator, XnNodeHandle hOther)

Checks if this generator can frame sync with another generator.

Parameters

  hGenerator | [in] A handle to the instance.
  hOther | [in] The node to be checked.

Returns
  TRUE if frame sync is supported, FALSE otherwise.

## FrameSyncWith

XnStatus(* XnModuleFrameSyncInterface::FrameSyncWith) (XnModuleNodeHandle hGenerator, XnNodeHandle hOther)

Activates frame sync with another node

Parameters

  hGenerator | [in] A handle to the instance.
  hOther | [in] The node to sync with.

## IsFrameSyncedWith

XnBool(* XnModuleFrameSyncInterface::IsFrameSyncedWith) (XnModuleNodeHandle hGenerator, XnNodeHandle hOther)

Checks if frame synced with other node.

Parameters

  hGenerator | [in] A handle to the instance.
  hOther | [in] The node to be checked.

## RegisterToFrameSyncChange

XnStatus(* XnModuleFrameSyncInterface::RegisterToFrameSyncChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to frame sync changes.

Parameters

  hGenerator | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when frame sync changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromFrameSyncChange().

## StopFrameSyncWith

XnStatus(* XnModuleFrameSyncInterface::StopFrameSyncWith) (XnModuleNodeHandle hGenerator, XnNodeHandle hOther)

Stops frame sync with another node.

Parameters

  hGenerator | [in] A handle to the instance.
  hOther | [in] The node to stop sync with.

## UnregisterFromFrameSyncChange

void(* XnModuleFrameSyncInterface::UnregisterFromFrameSyncChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToFrameSyncChange().

Parameters

  hGenerator | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToFrameSyncChange().

The documentation for this struct was generated from the following file:

- XnModuleInterface.h